//
//This class monitors the base flags (red and blue) for anyone scoring and calls the
//burger explosion when someone caps
class BaseFlag extends CTFFlag;

auto state Home
{
	function Touch(Actor Other)
	{
		local CTFFlag aFlag;
		local Pawn aPawn;
		local NavigationPoint N;
		local int i;
		local float totalweight, selection, PartialWeight;
		local Bot B;
		local PlayerPawn PP;

		aPawn = Pawn(Other);
		if ( aPawn != None && aPawn.bIsPlayer && aPawn.Health > 0 ) 
		{
			// check if scored capture
			if ( aPawn.PlayerReplicationInfo.Team != Team ) 
			{
				if ( aPawn.PlayerReplicationInfo.HasFlag != None ) 
				{
					//Score!
					aFlag = CTFFlag(aPawn.PlayerReplicationInfo.HasFlag);
					CTFGame(Level.Game).ScoreFlag(aPawn, aFlag);
					//spawns the blast
					spawn(class'ShockWave',,,Location);
					//resets the burger
					aFlag.SendHome();
					
					//reset any fatness that might have been missed
					foreach AllActors (Class'PlayerPawn',PP)
					{
						if (PP != None)
							if (PP.Fatness != Default.Fatness)
								PP.Fatness = Default.Fatness;
					}
					foreach AllActors (Class'Bot',B)
					{
						if (B != None)
							if (B.Fatness != Default.Fatness)
								B.Fatness = Default.Fatness;
					}
				}
			}
		}
	}
}

defaultproperties
{
}
