//
class BurgerNotify extends SpawnNotify;

// no flag other than the neutral flag should be picked up
simulated event Actor SpawnNotification(Actor A)
{
	local BaseFlag newFlag;
	
	if (A.IsA('CTFFlag') && !A.IsA('NeutralFlag') && !A.IsA('BaseFlag')) 
	{
		newFlag = Spawn(class'BaseFlag',A.Owner,A.Tag,A.Location,A.Rotation);
		newFlag.LightHue = CTFFlag(A).LightHue;
 		newFlag.Skin = CTFFlag(A).Skin;
		A.Disable('EndState');	// solves Accesed None in CTFFlag.Home.EndState()
		A.Destroy();
		return newFlag;
 	}
	return A;
}

defaultproperties
{
   ActorClass=Class'Botpack.CTFFlag'
}
