//
//carrot ammo pickup
class CarrotPack expands ConsumableAmmo;

#exec MESH IMPORT MESH=CarroteerAmmo ANIVFILE=MODELS\CarroteerAmmo_a.3d DATAFILE=MODELS\CarroteerAmmo_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=CarroteerAmmo X=0 Y=0 Z=150
#exec MESH SEQUENCE MESH=CarroteerAmmo SEQ=All STARTFRAME=0 NUMFRAMES=1

#exec MESHMAP NEW MESHMAP=CarroteerAmmo MESH=CarroteerAmmo
#exec MESHMAP SCALE MESHMAP=CarroteerAmmo X=0.05 Y=0.05 Z=0.10

#exec TEXTURE IMPORT NAME=CarroteerUVmap FILE=Textures/CarroteerUVmap.pcx GROUP="Skins" LODSET=2

#exec MESHMAP SETTEXTURE MESHMAP=CarroteerAmmo NUM=0 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerAmmo NUM=1 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerAmmo NUM=2 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerAmmo NUM=3 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerAmmo NUM=4 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerAmmo NUM=5 TEXTURE=CarroteerUVmap

defaultproperties
{
   AmmoAmount=10
   MaxAmmo=20
   UsedInWeaponSlot(6)=1
   PickupMessage="You picked up some carrots."
   ItemName="Carrot Pack"
   PickupViewMesh=CarroteerAmmo
   CollisionRadius=30.000000
   CollisionHeight=15.000000
   bCollideActors=True
   DrawType=DT_Mesh
   Mesh=CarroteerAmmo
}