//
//chef tunic pickup that replaces armor
class FFArmor extends Armor2;

#exec MESH IMPORT MESH=ChefsVestPickup ANIVFILE=MODELS\ChefsVestPickup_a.3d DATAFILE=MODELS\ChefsVestPickup_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=ChefsVestPickup X=0 Y=0 Z=-100
#exec MESH SEQUENCE MESH=ChefsVestPickup SEQ=All STARTFRAME=0 NUMFRAMES=1

#exec MESHMAP NEW MESHMAP=ChefsVestPickup MESH=ChefsVestPickup
#exec MESHMAP SCALE MESHMAP=ChefsVestPickup X=0.1 Y=0.1 Z=0.2
#exec MESH LODPARAMS MESH=ChefsVestPickup STRENGTH=0

#exec TEXTURE IMPORT NAME=ChefVest FILE=Textures\ChefVest.BMP GROUP=Skins
#exec MESHMAP SETTEXTURE MESHMAP=ChefsVestPickup NUM=1 TEXTURE=ChefVest
#exec MESHMAP SETTEXTURE MESHMAP=ChefsVestPickup NUM=2 TEXTURE=ChefVest
#exec MESHMAP SETTEXTURE MESHMAP=ChefsVestPickup NUM=3 TEXTURE=ChefVest

#exec AUDIO IMPORT FILE="Sounds\chefzipper.WAV" NAME=chefzipper GROUP=Armor

defaultproperties
{
   bDisplayableInv=True
   PickupMessage="You got the Chef's tunic."
   RespawnTime=30.000000
   PickupViewMesh=ChefsVestPickup
   Charge=100
   ArmorAbsorption=75
   bIsAnArmor=True
   AbsorptionPriority=7
   PickupSound=Sound'chefzipper'
   Mesh=ChefsVestPickup
   AmbientGlow=64
   CollisionRadius=40.00
   CollisionHeight=40.00
   ItemName="Chef's Tunic"
}