//
class FlagMutator extends Mutator;

function InitFlag(CTFFlag Flag,bool bChangeSkin,bool bIsNeutral)
{
}

// Tell the mutator what a flag's base is. It may not be a subclass of BotPack.FlagBase
// Flag Domination has a base that inherits from NavigationPoint
function FlagHasBase(CTFFlag Flag,Actor Base)
{
}

// Draw something next to the flag icon on the HUD. Direction is where you're drawing relative to the flag
// X and Y specify a different point depending on Direction:
// 0-Up:   point is above the top left corner of the flag, 1-Down: point is below the bottom left corner
// 2-Left: point is left of the top left corner, 3-Right: point is right of the top right corner
//	(couldn't use an enum because they're only available to subclasses)
function DrawFlagBadge(CTFFlag Flag,Canvas Canvas,int Direction,int X,int Y,ChallengeHUD HUD)
{
}

// Holder has taken Flag from its base
function StealFlag(CTFFlag Flag,Pawn Holder)
{
}

// Holder has picked Flag up after it was dropped
function PickUpFlag(CTFFlag Flag,Pawn Holder)
{
}

// Holder has begun carrying Flag, StealFlag or PickUpFlag may also get called
function BeginCarry(CTFFlag Flag,Pawn Holder)
{
}

// Flag is now dropped. Note that with InstaDead, flags can be flung from their bases
// without being picked up, so they go directly from 'Home' to 'Dropped' and Dropper will be None
function DropFlag(CTFFlag Flag,Pawn Dropper)
{
}

// flag carrier has died, DropFlag may also be called since it's difficult to separate the two
function HolderDied(CTFFlag Flag,Pawn Holder)
{
}

// Holder is no longer carrying Flag, Capture or Return may also get called
function EndCarry(CTFFlag Flag,Pawn Holder)
{
}

// Capturer has captured Flag. In a multi-cap, called once for each flag
// CapturePlace is where the flag was captured: in CTF, the scorer's FlagBase
function Capture(CTFFlag Flag,Pawn Capturer,Actor CapturePlace)
{
}

// Capturer is capturing one or more flags. Called once per capture (not once per flag)
// Because Capture gets called once for each flag, this lets you respond to multi-caps
function ScoreCapture(Pawn Capturer,int FlagCount,Actor CapturePlace)
{
}

// Returner is returning a flag to its base. Note that in Flag Domination this will never get called
function Return(CTFFlag Flag,Pawn Returner)
{
}

// Flag got bored and went home on its own
function AutoReturn(CTFFlag Flag)
{
}

defaultproperties
{
}
