//
//effects class, leaf that flutters around
class FlyingLeaf expands FlockPawn;

var() int CircleRadius;
var() int VerticalRange;
var	vector CircleCenter;

function PreBeginPlay()
{
	Super.PreBeginPlay();
	CircleCenter = Location;
}

auto state circle
{
	ignores seeplayer, enemynotvisible;
		
begin:
	SetPhysics(PHYS_Flying);
wander:
	Destination = Vrand() * CircleRadius + CircleCenter;
	Destination.Z = CircleCenter.Z + Rand(VerticalRange);

	MoveTo(Destination);
	Goto('Wander');
}

defaultproperties
{
   CircleRadius=128
   VerticalRange=128
   AirSpeed=75.000000
   AccelRate=1000.000000
   SightRadius=2000.000000
   AttitudeToPlayer=ATTITUDE_Friendly
   Land=None
   bCanTeleport=False
   DrawType=DT_Mesh
	Mesh=LodMesh'Lettuce1'
   DrawScale=0.200000
   bUnlit=True
   bGameRelevant=True
   bIsKillGoal=False
   CollisionRadius=1.000000
   CollisionHeight=1.000000
   bCollideActors=False
   bBlockActors=False
   bBlockPlayers=False
   bProjTarget=False
   bRotateToDesired=False
   RotationRate=(Pitch=50000,Roll=20000)
   Lifespan=2
}