//
//halapenjo can pickup
class HalapenjoCan extends ConsumableAmmo;

#exec MESH IMPORT MESH=HalapenjoM ANIVFILE=MODELS\PepperCanAmmo_a.3d DATAFILE=MODELS\PepperCanAmmo_d.3d LODSTYLE=10 UnMirror=1
#exec MESH LODPARAMS MESH=HalapenjoM STRENGTH=0
#exec MESH ORIGIN MESH=HalapenjoM X=0 Y=0 Z=100 YAW=0
#exec MESH SEQUENCE MESH=HalapenjoM SEQ=All    STARTFRAME=0  NUMFRAMES=1
#exec TEXTURE IMPORT NAME=HalapenjoT FILE=Textures/CanopenerUVMap.pcx GROUP="Skins"  LODSET=2
#exec MESHMAP SCALE MESHMAP=HalapenjoM X=0.0375 Y=0.0375 Z=0.075
#exec MESHMAP SETTEXTURE MESHMAP=HalapenjoM NUM=0 TEXTURE=HalapenjoT

#exec AUDIO IMPORT FILE="Sounds\CanPickupHalap.Wav" NAME=CanPickupHalap GROUP=Ammo

defaultproperties
{
   AmmoAmount=7
   MaxAmmo=7
   UsedInWeaponSlot(2)=1
   PickupMessage="You picked up a Halapenjo Can. It's your lucky day!!"
   PickupSound=Sound'CanPickupHalap'
   ItemName="Halapenjo Can"
   PickupViewMesh=HalapenjoM
   MaxDesireability=0.220000
   Skin=HalapenjoT
   Mesh=HalapenjoM
   CollisionRadius=20.000000
   CollisionHeight=15.000000
   bCollideActors=True
   RespawnTime=60.000000
}
