//
//visual tracer effect when hala fired
class HalpTracer extends MTracer;

simulated function HitWall (vector HitNormal, actor Wall)
{
   if (Role == ROLE_Authority)
   {
      if ((Mover(Wall) != None) && Mover(Wall).bDamageTriggered)
         Wall.TakeDamage(Damage, instigator, Location, MomentumTransfer * Normal(Velocity), '');

      MakeNoise(1.0);
   }
   Explode(Location + ExploWallOut * HitNormal, HitNormal);
   Spawn(class'HalapenoExplosion',self,,Location, rotator(HitNormal));
}

defaultproperties
{
	speed=+6000.0
   MaxSpeed=+6000.0
   MultiSkins(1)=FireTexture'UnrealShare.Effect1.FireEffect1p'
}


