//
//The glowing ball effect of the red glob. Slowly fades as it cools.
class RedTrail extends Effects;

#exec TEXTURE IMPORT NAME=NapalmGlow FILE=EFFECTS\NapalmGlow.bmp GROUP=Effects FLAGS=2

simulated function Tick(float DeltaTime)
{
	ScaleGlow = 0.5 * Default.ScaleGlow * FMin(Sqrt(LifeSpan), 2);
	DrawScale = FMin(DrawScale, LifeSpan);
}

defaultproperties
{
   Physics=Phys_Trailer
   RemoteRole=ROLE_None
   LifeSpan=7.50
   DrawType=DT_Sprite
   Style=STY_Translucent
   Texture=NapalmGlow
   DrawScale=0.40
   bUnlit=True
   Mass=30.00
}
