//
//salad ammo pickup
class SaladPack extends ConsumableAmmo;

#exec MESH IMPORT MESH=SaladBagM ANIVFILE=MODELS\SaladBag_a.3d DATAFILE=MODELS\SaladBag_d.3d LODSTYLE=10 UnMirror=1
#exec MESH ORIGIN MESH=SaladBagM X=0 Y=0 Z=20 YAW=128
#exec MESH SEQUENCE MESH=SaladBagM SEQ=All    STARTFRAME=0  NUMFRAMES=1
#exec TEXTURE IMPORT NAME=SaladBagT FILE=Textures/SaladBagUVmapTex.pcx GROUP="Skins"  LODSET=2
#exec MESHMAP SCALE MESHMAP=SaladBagM X=0.1 Y=0.1 Z=0.2
#exec MESHMAP SETTEXTURE MESHMAP=SaladBagM NUM=0 TEXTURE=SaladBagT

#exec AUDIO IMPORT FILE="Sounds\SaladBagShake.Wav" NAME=SaladBagShake GROUP=Ammo

defaultproperties
{
   AmmoAmount=12
   MaxAmmo=24
   UsedInWeaponSlot(8)=1
   PickupMessage="You picked up a bag of salad."
   ItemName="Salad Packet"
   PickupSound=Sound'SaladBagShake'
   PickupViewMesh=SaladBagM
   Skin=SaladBagT
   Mesh=SaladBagM
   CollisionRadius=35.000000
   CollisionHeight=30.000000
   bCollideActors=True
   PickupViewScale=0.750000
}
