//
//Saucier ammo pickup
class SaucierAmmo expands ConsumableAmmo;

#exec MESH IMPORT MESH=SaucierAmmo ANIVFILE=MODELS\SaucierAmmo_a.3d DATAFILE=MODELS\SaucierAmmo_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=SaucierAmmo X=0 Y=0 Z=100
#exec MESH SEQUENCE MESH=SaucierAmmo SEQ=All STARTFRAME=0 NUMFRAMES=1

#exec TEXTURE IMPORT NAME=SaucierUVmap FILE=Textures/SaucierUVmap.pcx GROUP="Skins" LODSET=2
#exec MESHMAP NEW MESHMAP=SaucierAmmo MESH=SaucierAmmo
#exec MESHMAP SCALE MESHMAP=SaucierAmmo X=0.025 Y=0.025 Z=0.05

#exec MESHMAP SETTEXTURE MESHMAP=SaucierAmmo NUM=0 TEXTURE=SaucierUVmap
#exec MESHMAP SETTEXTURE MESHMAP=SaucierAmmo NUM=1 TEXTURE=SaucierUVmap

defaultproperties
{
	AmmoAmount=30
	MaxAmmo=75
	UsedInWeaponSlot(3)=1
	PickupMessage="You picked up some Sauce."
	ItemName="Saucier Ammo"
	PickupViewMesh=SaucierAmmo
	CollisionRadius=10.000000
	CollisionHeight=20.000000
	bCollideActors=True
	DrawType=DT_Mesh
	Mesh=SaucierAmmo
}