//
//Ammo pickup for the toastanator
class BreadPack expands ConsumableAmmo;

#exec MESH IMPORT MESH=ToastAmmo ANIVFILE=MODELS\ToastAmmo_a.3d DATAFILE=MODELS\ToastAmmo_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=ToastAmmo X=25 Y=-55 Z=8

#exec MESH SEQUENCE MESH=ToastAmmo SEQ=All STARTFRAME=0 NUMFRAMES=1
#exec MESH LODPARAMS MESH=ToastAmmo STRENGTH=0
#exec MESHMAP NEW MESHMAP=ToastAmmo MESH=ToastAmmo
#exec MESHMAP SCALE MESHMAP=ToastAmmo X=0.75 Y=0.375 Z=1.5

#exec TEXTURE IMPORT NAME=ToastProjUVmap FILE=Textures/ToastProjUVmap.pcx GROUP=Skins LODSET=2
#exec TEXTURE IMPORT NAME=ToastProjUVmap FILE=Textures/ToastProjUVmap.pcx GROUP=Skins PALETTE=ToastProjUVmap
#exec MESHMAP SETTEXTURE MESHMAP=ToastAmmo NUM=1 TEXTURE=ToastProjUVmap
#exec MESHMAP SETTEXTURE MESHMAP=ToastAmmo NUM=2 TEXTURE=ToastProjUVmap
#exec MESHMAP SETTEXTURE MESHMAP=ToastAmmo NUM=3 TEXTURE=ToastProjUVmap
#exec MESHMAP SETTEXTURE MESHMAP=ToastAmmo NUM=4 TEXTURE=ToastProjUVmap
#exec MESHMAP SETTEXTURE MESHMAP=ToastAmmo NUM=5 TEXTURE=ToastProjUVmap

defaultproperties
{
   AmmoAmount=10
   MaxAmmo=20
   UsedInWeaponSlot(9)=1
   PickupMessage="You picked up a Bread Pack."
   ItemName="Bread Pack"
   PickupViewMesh=ToastAmmo
   CollisionRadius=25.000000
   CollisionHeight=15.000000
   bCollideActors=True
   DrawType=DT_Mesh
   Mesh=ToastAmmo
}
