//
//fragment class for the carrot when it breaks apart
class CarrotFragments extends Fragment;

#exec TEXTURE IMPORT NAME=CarrotFrag FILE=Textures\CarrotFrag.bmp

simulated function CalcVelocity(vector Momentum, float ExplosionSize)
{
   Super.CalcVelocity(Momentum, ExplosionSize);
   Velocity.z += ExplosionSize/2;
}

defaultproperties
{
   Fragments(0)=LodMesh'vfrag1'
   Fragments(1)=LodMesh'vfrag2'
   Fragments(2)=LodMesh'vfrag3'
   Fragments(3)=LodMesh'vfrag4'
   Fragments(4)=LodMesh'vfrag5'
   Fragments(5)=LodMesh'vfrag6'
   numFragmentTypes=6
   ImpactSound=Sound'UnrealI.walkC'
   MiscSound=Sound'UnrealI.ChunkHit'
   Mesh=LodMesh'Botpack.chunkM'
   CollisionRadius=12.000000
   CollisionHeight=2.000000
   DrawScale=0.200000
   Mass=5.000000
   Buoyancy=6.000000
   MultiSkins(0)=Texture'CarrotFrag'
   MultiSkins(1)=Texture'CarrotFrag'
   MultiSkins(2)=Texture'CarrotFrag'
}