//
class Carroteer extends FFWeapon config(FoodFight);

#exec TEXTURE IMPORT NAME=CarroteerUVmap FILE=Textures/CarroteerUVmap.pcx GROUP="Skins" LODSET=2

//First person mesh
#exec MESH IMPORT MESH=CarroteerAnimated2 ANIVFILE=MODELS\CarroteerAnimated2_a.3d DATAFILE=MODELS\CarroteerAnimated2_d.3d X=0 Y=0 Z=0 UnMirror=1
#exec MESH ORIGIN MESH=CarroteerAnimated2 X=0 Y=0 Z=0 YAW=-70 PITCH=0 ROLL=0
#exec MESH LODPARAMS MESH=CarroteerAnimated2 STRENGTH=0

#exec MESH SEQUENCE MESH=CarroteerAnimated2 SEQ=All 		STARTFRAME=0 	NUMFRAMES=100
#exec MESH SEQUENCE MESH=CarroteerAnimated2 SEQ=Still 	STARTFRAME=0 	NUMFRAMES=1
#exec MESH SEQUENCE MESH=CarroteerAnimated2 SEQ=Short 	STARTFRAME=1 	NUMFRAMES=12
#exec MESH SEQUENCE MESH=CarroteerAnimated2 SEQ=Shoot 	STARTFRAME=1 	NUMFRAMES=60
#exec MESH SEQUENCE MESH=CarroteerAnimated2 SEQ=Reload 	STARTFRAME=13 	NUMFRAMES=48
#exec MESH SEQUENCE MESH=CarroteerAnimated2 SEQ=Deselect STARTFRAME=60 	NUMFRAMES=7
#exec MESH SEQUENCE MESH=CarroteerAnimated2 SEQ=Down 		STARTFRAME=60 	NUMFRAMES=7
#exec MESH SEQUENCE MESH=CarroteerAnimated2 SEQ=Select 	STARTFRAME=67 	NUMFRAMES=9

#exec MESHMAP NEW MESHMAP=CarroteerAnimated2 MESH=CarroteerAnimated2
#exec MESHMAP SCALE MESHMAP=CarroteerAnimated2 X=0.1 Y=0.1 Z=0.2
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerAnimated2 NUM=0 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerAnimated2 NUM=1 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerAnimated2 NUM=2 TEXTURE=HandGlove
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerAnimated2 NUM=3 TEXTURE=HandGlove
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerAnimated2 NUM=4 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerAnimated2 NUM=5 TEXTURE=CarroteerUVmap

//Pickup Mesh
#exec MESH IMPORT MESH=CarroteerPickUp ANIVFILE=MODELS\CarroteerPickUp_a.3d DATAFILE=MODELS\CarroteerPickUp_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=CarroteerPickUp X=0 Y=0 Z=0 YAW=0 PITCH=0 ROLL=0

#exec MESH SEQUENCE MESH=CarroteerPickUp SEQ=All 		STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=CarroteerPickUp SEQ=Still 	STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=CarroteerPickUp SEQ=Select 	STARTFRAME=0 NUMFRAMES=1

#exec MESHMAP NEW MESHMAP=CarroteerPickUp MESH=CarroteerPickUp
#exec MESHMAP SCALE MESHMAP=CarroteerPickUp X=0.05 Y=0.05 Z=0.1
#exec MESH LODPARAMS MESH=CarroteerPickUp STRENGTH=0
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerPickUp NUM=0 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerPickUp NUM=1 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerPickUp NUM=2 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerPickUp NUM=3 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerPickUp NUM=4 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerPickUp NUM=5 TEXTURE=CarroteerUVmap

//Third person mesh
#exec MESH IMPORT MESH=CarroteerHand ANIVFILE=MODELS\CarroteerPickUp_a.3d DATAFILE=MODELS\CarroteerPickUp_d.3d X=0 Y=0 Z=0 UnMirror=1
#exec MESH ORIGIN MESH=CarroteerHand X=0 Y=-400 Z=-150 YAW=-64 PITCH=0 ROLL=0

#exec MESH SEQUENCE MESH=CarroteerHand SEQ=All 		STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=CarroteerHand SEQ=Still 	STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=CarroteerHand SEQ=Select 	STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=CarroteerHand SEQ=Short 	STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=CarroteerHand SEQ=Shoot 	STARTFRAME=0 NUMFRAMES=1

#exec MESHMAP NEW MESHMAP=CarroteerHand MESH=CarroteerHand
#exec MESHMAP SCALE MESHMAP=CarroteerHand X=0.0625 Y=0.0625 Z=0.125
#exec MESH LODPARAMS MESH=CarroteerHand STRENGTH=0

#exec MESHMAP SETTEXTURE MESHMAP=CarroteerHand NUM=0 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerHand NUM=1 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerHand NUM=2 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerHand NUM=3 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerHand NUM=4 TEXTURE=CarroteerUVmap
#exec MESHMAP SETTEXTURE MESHMAP=CarroteerHand NUM=5 TEXTURE=CarroteerUVmap

//Reticles
#exec TEXTURE IMPORT NAME=CarroteerIcon 			FILE=TEXTURES\CarroteerIcon.bmp 			GROUP="Icons" MIPS=OFF
#exec TEXTURE IMPORT NAME=CarrotReticle 			FILE=TEXTURES\CarrotReticle.bmp 			GROUP="Icons" MIPS=OFF FLAGS=2 LODSET=2
#exec TEXTURE IMPORT NAME=CarrotReticleQuarter 	FILE=TEXTURES\CarrotReticleQuarter.bmp GROUP="Icons" MIPS=OFF FLAGS=2 LODSET=2

//Sounds
#exec AUDIO IMPORT NAME="CarrotShot" 		FILE=Sounds\CarrotShot.wav
#exec AUDIO IMPORT NAME="CarrotShotShort" FILE=Sounds\CarrotShotShort.wav
#exec AUDIO IMPORT NAME="CarrotUp" 			FILE=Sounds\CarrotUp.wav

var vector OwnerLocation;
var float StillTime, StillStart;

var config bool CarrotReticle;

function Projectile ProjectileFire(class<projectile> ProjClass, float ProjSpeed, bool bWarn)
{
   local Vector Start, X,Y,Z;

   Owner.MakeNoise(Pawn(Owner).SoundDampening);
   GetAxes(Pawn(owner).ViewRotation,X,Y,Z);
   Start = Owner.Location + CalcDrawOffset() + FireOffset.X * X + FireOffset.Y * Y + FireOffset.Z * Z;
   AdjustedAim = pawn(owner).AdjustAim(ProjSpeed, Start, AimError, True, bWarn);
   return Spawn(ProjClass,,, Start,AdjustedAim);
}

simulated function PostRender(canvas Canvas)
{
   local PlayerPawn P;
   local float Scale;

   Super.PostRender(Canvas);
   P = PlayerPawn(Owner);

   if ((P != None) &&(CarrotReticle))
   {
   	bOwnsCrossHair = true;
		Scale = Canvas.ClipX/640;
		Canvas.SetPos(0.5 * Canvas.ClipX - 128 * Scale, 0.5 * Canvas.ClipY - 128 * Scale );
		Canvas.Style = ERenderStyle.STY_Translucent;
		Canvas.DrawIcon(Texture'CarrotReticleQuarter', Scale);
   }
}

function float RateSelf( out int bUseAltMode )
{
    if ( (AmmoType != None) && (AmmoType.AmmoAmount <=0) )
        return -2;
    bUseAltMode = 0;
    return (AIRating + FRand() * 0.05);
}

function Fire(float Value)
{
   if (AmmoType == None)
      GiveAmmo(Pawn(Owner));

   if (AmmoType.UseAmmo(1))
   {
		if (!Pawn(Owner).IsA('Bot'))
		{
			PlayerPawn(Owner).StopZoom();
			PlayerPawn(Owner).DesiredFOV = PlayerPawn(Owner).DefaultFOV;
		}
			
      bCanClientFire = true;
      bPointing=True;
      ProjectileFire(ProjectileClass, ProjectileSpeed, bWarnTarget);
      ClientFire(Value);
      Gotostate('NormalFire');
   }
}

simulated function PlayFiring()
{
   if (AmmoType.AmmoAmount == 0)
   {
   	PlayAnim('Short',0.7, 0.05);
		PlayOwnedSound(AltFireSound, SLOT_Misc, 1.7*Pawn(Owner).SoundDampening);
   }
   else
   {
		PlayAnim('Shoot',0.7, 0.05);
		PlayOwnedSound(FireSound, SLOT_Misc, 1.7*Pawn(Owner).SoundDampening);
	}
}

function AltFire(float Value)
{
}

function Finish()
{
    if ((Pawn(Owner).bFire!=0) && (FRand() < 0.6))
        Timer();
    Super.Finish();
}

//make the laser dot
state Idle
{
	function Tick (float DeltaTime)
	{ 
		TraceLaser(0.0);
	}
}

state NormalFire
{
	function Tick (float DeltaTime)
	{ 
		TraceLaser(0.0);
	}
}

state AltFiring
{
	function Tick (float DeltaTime)
	{
		TraceLaser(0.0);
	}
}

//laser dot function
function TraceLaser( float Accuracy )
{
	local vector HitLocation, HitNormal, StartTrace, EndTrace, X,Y,Z;
	local actor Other;

	Owner.MakeNoise(Pawn(Owner).SoundDampening);
	GetAxes(Pawn(owner).ViewRotation,X,Y,Z);
	StartTrace = Owner.Location + CalcDrawOffset() + FireOffset.X * X + FireOffset.Y * Y + FireOffset.Z * Z;
	AdjustedAim = pawn(owner).AdjustAim(1000000, StartTrace, 2.75*AimError, False, False);
	EndTrace = StartTrace + Accuracy * (FRand() - 0.5 )* Y * 1000
		+ Accuracy * (FRand() - 0.5 ) * Z * 1000 ;
	EndTrace += (10000 * vector(AdjustedAim));
	Other = Pawn(Owner).TraceShot(HitLocation,HitNormal,EndTrace,StartTrace);
	Spawn(class'LaserDot',,, HitLocation+HitNormal*9, Rotator(HitNormal));
}

defaultproperties
{
	CarrotReticle=True
   WeaponDescription="Classification: Gives a nice vitamin shot\n\nPrimary Fire: Primary fire shoots straight flying carrots.\n\nSecondary Fire: Zoom mode."
	AmmoName=class'FoodFight.CarrotPack'
   PickupAmmoCount=8
   bAltWarnTarget=True
   bRapidFire=False
   FiringSpeed=1.000000
	FireOffset=(X=16.000000,Y=-11.000000,Z=-12.000000)
   ProjectileClass=class'FoodFight.CarrotProjectile'
   AltProjectileClass=class'FoodFight.CarrotProjectile'
	AIRating=0.600000
	RefireRate=1.00000
	AltRefireRate=1.00000
   FireSound=Sound'CarrotShot'
   AltFireSound=Sound'CarrotShotShort'
	SelectSound=Sound'CarrotUp'
   DeathMessage="%o was speared! %k stuck it to another one."
   AutoSwitchPriority=5
   InventoryGroup=6
   PickupMessage="You got the Carroteer."
   ItemName="Carroteer"
   PlayerViewOffset=(X=3.900000,Y=-3.0000,Z=-0.950000)
	PlayerViewMesh=CarroteerAnimated2
	BobDamping=0.972000
   PickupViewMesh=CarroteerPickUp
	ThirdPersonMesh=CarroteerHand
   StatusIcon=CarroteerIcon
	PickupSound=Sound'HKPickup'
   Icon=CarroteerIcon
   Mesh=CarroteerPickUp
   bNoSmooth=False
   CollisionHeight=30.000000
   CollisionRadius=40
	PlayerViewScale=0.15
	ThirdPersonScale=0.40
}