//
//Kidney bean pickup
class KidneyBeanCan extends ConsumableAmmo;

#exec MESH IMPORT MESH=KidneyBeanM ANIVFILE=MODELS\BeanCanAmmo_a.3d DATAFILE=MODELS\BeanCanAmmo_d.3d LODSTYLE=10 UnMirror=1
#exec MESH ORIGIN MESH=KidneyBeanM X=0 Y=0 Z=130 YAW=0
#exec MESH SEQUENCE MESH=KidneyBeanM SEQ=All    STARTFRAME=0  NUMFRAMES=1
#exec TEXTURE IMPORT NAME=KidneyBeanT FILE=Textures/CanopenerUVMap.pcx GROUP="Skins"  LODSET=2
#exec MESHMAP SCALE MESHMAP=KidneyBeanM X=0.0375 Y=0.0375 Z=0.075
#exec MESHMAP SETTEXTURE MESHMAP=KidneyBeanM NUM=0 TEXTURE=KidneyBeanT

defaultproperties
{
   AmmoAmount=20
   MaxAmmo=75
   UsedInWeaponSlot(2)=1
   PickupMessage="You picked up a Kidney Bean Can."
   PickupSound=Sound'CanPickupGeneric'
   ItemName="Kidney Bean Can"
   PickupViewMesh=KidneyBeanM
   MaxDesireability=0.220000
   Skin=KidneyBeanT
   Mesh=KidneyBeanM
   CollisionRadius=20.000000
   CollisionHeight=20.000000
   bCollideActors=True
   splat=class'BeanSplat'
}
