//
class RedRisingFlames expands Projectile;

#exec TEXTURE IMPORT NAME=RFlames_01 FILE=EFFECTS\RFlames_01.bmp GROUP=Effects FLAGS=2
#exec TEXTURE IMPORT NAME=RFlames_02 FILE=EFFECTS\RFlames_02.bmp GROUP=Effects FLAGS=2
#exec TEXTURE IMPORT NAME=RFlames_03 FILE=EFFECTS\RFlames_03.bmp GROUP=Effects FLAGS=2
#exec TEXTURE IMPORT NAME=RFlames_04 FILE=EFFECTS\RFlames_04.bmp GROUP=Effects FLAGS=2
#exec TEXTURE IMPORT NAME=RFlames_05 FILE=EFFECTS\RFlames_05.bmp GROUP=Effects FLAGS=2
#exec TEXTURE IMPORT NAME=RFlames_06 FILE=EFFECTS\RFlames_06.bmp GROUP=Effects FLAGS=2
#exec TEXTURE IMPORT NAME=RFlames_07 FILE=EFFECTS\RFlames_07.bmp GROUP=Effects FLAGS=2
#exec TEXTURE IMPORT NAME=RFlames_08 FILE=EFFECTS\RFlames_08.bmp GROUP=Effects FLAGS=2

simulated function PostBeginPlay()
{
	if (Owner!=None)
		Mesh = Owner.Mesh;
}

simulated function Tick( float DeltaTime)
{
	ScaleGlow = (Default.LifeSpan - LifeSpan) * 4;
	DrawScale = LifeSpan * Default.DrawScale;
}

auto state Flying
{
   simulated function HitWall (vector HitNormal, actor Wall);
   simulated function ProcessTouch (Actor Other, Vector HitLocation);

   function BeginState()
   {
      local vector Dir;

      Dir = vector(rot(16384,0,0));
      Velocity = speed * Dir;
      Acceleration = Dir * 50;
   }
}

defaultproperties
{
   speed=50.00
   MaxSpeed=150.00
   bOwnerNoSee=True
   RemoteRole=Role_SimulatedProxy
   LifeSpan=1.00
   Style=STY_Translucent
   Texture=Texture'RFlames_01'
   DrawScale=0.35
   bUnlit=True
   bParticles=True
   bRandomFrame=True
   MultiSkins(0)=Texture'RFlames_01'
   MultiSkins(1)=Texture'RFlames_02'
   MultiSkins(2)=Texture'RFlames_03'
   MultiSkins(3)=Texture'RFlames_04'
   MultiSkins(4)=Texture'RFlames_05'
   MultiSkins(5)=Texture'RFlames_06'
   MultiSkins(6)=Texture'RFlames_07'
   MultiSkins(7)=Texture'RFlames_08'
   bCollideActors=False
}